@import "tailwindcss/base";
@import "tailwindcss/components";
@import "tailwindcss/utilities";

html,
body,
:root {
  height: 100%;
}

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

.bg-red-agr {
  background-color: #c7202d;
}

.bg-blue-agr {
  background-color: #134895;
}

.border-red-agr {
  border-color: #c7202d;
}
.border-blue-agr {
  border-color: #134895;
}

.color-red-agr {
  color: #c7202d;
}

.color-blue-agr {
  color: #134895;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

/* Calendar */

.calendar {
  margin: 0 auto 20px;
}

.calendar .wrap {
  padding: 0 10px;
}

.currentYear {
  font-size: 32px;
  line-height: 1;
  font-weight: 400;
  font-style: normal;
  text-transform: none;
  text-align: center;
  color: #000000;
  padding: 0;
  margin: 0 auto 50px;
}

/* controls  */

.controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
  margin: 0px 0 50px;
}

.controls .btn {
  font-size: 18px;
  line-height: 1;
  font-weight: 400;
  font-style: normal;
  text-transform: none;
  text-align: center;
  color: #ffffff;
  border: none;
  background-color: #000000;
  padding: 13px 20px;
  margin: 0;
  cursor: pointer;
}

/* year  */

.year {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  margin: 0 -10px;
}

/* months */

.month {
  width: 25%;
  padding: 0 10px;
  margin: 0 0 20px;
  box-sizing: border-box;
}

.singleCol .month {
  width: 100%;
}

.twoCol .month {
  width: 50%;
}

.monthName {
  font-size: 24px;
  line-height: 1;
  font-weight: 400;
  font-style: normal;
  text-transform: none;
  text-align: center;
  color: #000000;
  padding: 0;
  margin: 0 auto 20px;
}

.month .content {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

/* days */

.day {
  width: 14.166666666666667%;
  text-align: center;
  padding: 6px;
  box-sizing: border-box;
}

.dayOfTheWeek .day {
  font-weight: 800;
}

.booked {
  background-color: #000000;
  color: #ffffff;
}

.isLateCheckout {
  position: relative;
  background-color: transparent;
  overflow: hidden;
  color: #ffffff;
}

.isLateCheckout > span {
  background: white;
  color: #000000;
  padding: 0px 3px;
}

.isLateCheckout > span::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(248, 80, 50, 1);
  background: linear-gradient(to bottom right, #000000 50%, transparent 50%);
  z-index: -1;
}

/* key */

.key {
  display: flex;
  flex-direction: row;
  margin: 0 absolute;
}

.key .type {
  margin: 0 10px 0 0;
}

.key .type span {
  position: relative;
  display: flex;
  line-height: 30px;
}

.key .type span::before {
  content: "";
  display: block;
  width: 30px;
  height: 30px;
  margin: 0 10px 0 0;
}

.bookedType span::before {
  background: #000000;
}

.lateCheckoutType span::before {
  background: rgba(248, 80, 50, 1);
  background: linear-gradient(to bottom right, #000000 50%, transparent 50%);
}

/* responsive */

@media (max-width: 980px) {
  .month {
    width: 50%;
  }
}

@media (max-width: 768px) {
  .month,
  .twoCol .month {
    width: 100%;
  }
}
